#this is config file for zhcon
#it can be named as ~/.zhconrc or /etc/zhcon.conf
#you can edit it manually

zhconpath = /usr/share/zhcon/

#unicon(3.x) path
uniconpath = /usr/lib/unicon/

#defaultencode: default encoding can be :gb2312,gbk,big5,jis,ksc
defaultencode = gbk

#autoencode: auto detect current Chinese encoding(GB2312 or BIG5)
#when autoencode is set zhcon will try to detect current Chinese encoding
#after idle 1 second and change current Chinese encoding to
#GB2312 or BIG5.This function is useful if you are viewing many text files
#with different encoding type.
#auto,auto-gb,auto-big5,manual
autoencode = manual

#screen resolution
#NOTE:
# 1) These only works on FreeBSD. On Linux these options will be IGNORED!
# 2) If your FreeBSD kernel has VESA support compiled in(with
#    "options VESA") and your display adapter support VESA(most cards will
#    do), you can set color_depth to 8 or higher. This means you can use
#    640x480x256 colors, 640x480x65536 colors, 800x600x256 colors...etc
#    BUT you will not able to use 640x480x16 colors! (Of course I don't
#    think you will want to run 16 colors mode at all :))
# 3) If your FreeBSD kernel has not VESA support(or you even don't know
#    what's kernel or what's VESA), you can only set color_depth to 4.
#    That is, you can only run 16 colors mode(VERY slowly).
# 4) Ok, if you don't understand me at all, it's OK. Just go and find a
#    FreeBSD wizard and ask him to compile a new kernel with VESA support
#    for you and ... emmmm ... explain all these stuff to you ...
#
x_resolution = 640
y_resolution = 480
# 4 bits = 16 colors, 8 bits = 256 colors, 16 bits = 64K colors, and so on..
# By defalut, 640X480X16 color is used to support as many video cards as
# possible. zhcon works very SLOWLY under this mode. You should try setting 
# color_depth=8 to use 256 color (VESA mode) after recompiling your kernel
# with VESA support to gain most out of your hardware.
color_depth = 4 

#blanklineheight must >= 0
blanklineheight = 1

#0, default(block); 1, none; 2, underline
#3, 1/3 block; 4, 1/2 block; 5, 2/3 block; 6, block
cursortype = 6

beep = on

#whether to display startup message
startupmsg = on

#whether to enter prompt mode when start
#you can enter prompt mode by press CTRL-ALT-0
promptmode = off

# set font name, all font must be placed in PREFIX/lib/zhcon/
# for use with 24 pixel font
# ascfont = font/asc24.bpsf
# gbfont = font/gb-24-kai.bpsf

ascfont = font/asc16.bpsf
gbfont = font/gb-16.bpsf
gbkfont = font/gbk-16.bpsf
big5font = font/big5-16.bpsf
jisfont = font/jis-16.bpsf
kscfont = font/ksc-16.bpsf

#inputstyle: overspot or nativebar
inputstyle = overspot

# color scheme format
# text's fore, back, color1, color2, frame's light, dark color
# change push style to pop by swap frame's light/dark color
# red style = 15,4,11,14,12,0
# blue style = 15,1,11,14,9,0
# white style = 0,7,1,1,15,8
overspotcolor = 0,7,1,1,15,8
nativebarcolor = 15,4,11,14,0,12

showtips = on

#change input method here
#the first ime is the default ime when press CTRL_SPACE
#only the first nine imes are avaiable to zhcon
#you can add more ime from Chinput's config file
#format: ime = imename,module,table,encode,type
#imename := <input method's name>
#module := <module file name>
#table := <table file name>
#encode := gb2312 | gbk | big5
#type := native | unicon
ime = ȫƴ,,input/winpy.mb,gb2312,native
ime = ���,,input/wb.mb,gb2312,native
ime = ˫ƴ,,input/winsp.mb,gb2312,native
ime = ��C30,,input/big5-ary30.mb,big5,native
ime = �ܾe,,input/big5-cj.mb,big5,native
ime = �`��,,input/big5-phone.mb,big5,native
ime = �L����,,input/big5-liu5.mb,big5,native
ime = ����ƴ��,modules/cce/cce_pinyin.so,modules/cce/dict,gb2312,unicon
ime = GBKƴ��,modules/turbo/TL_hzinput.so,modules/turbo/dict/gbk/gbkpy_mb.tab,gbk,unicon
ime = ��Ȼ��,modules/turbo/TL_hzinput.so,modules/turbo/dict/gb/zrm-2.tab,gb2312,unicon
ime = �ܾ���,modules/turbo/TL_hzinput.so,modules/turbo/dict/big5/pinyin.tab,big5,unicon
ime = �ܾe��J,modules/turbo/TL_hzinput.so,modules/turbo/dict/big5/cj.tab,big5,unicon
ime = ²����J,modules/turbo/TL_hzinput.so,modules/turbo/dict/big5/simplex.tab,big5,unicon
ime = ȫƴ2,,input/py.mb,gb2312,native
ime = ˫ƴ2,,input/py.mb,gb2312,native
ime = ����,,input/dzm.mb,gb2312,native
ime = Ӣ��,,input/ed.mb,gb2312,native
ime = ��ƴ,,input/jp.mb,gb2312,native
ime = ��ͨ,,input/pt.mb,gb2312,native
ime = ��ʶ�ά,,input/wbew.mb,gb2312,native
ime = ��ʻ�,,input/wbh.mb,gb2312,native
ime = ������,,input/cjf.mb,gb2312,native
ime = ������,,input/cjj.mb,gb2312,native
